API referenceBidding XBID
POST /api/XBID/GetContracts
Returns the continuous-market products available from Bidding, including delivery start and end, trading phase, and contract state. Use the contract ID in XBID market-data, analysis, draft, and order operations.
POST
/api/XBID/GetContractscurl -X POST "/api/XBID/GetContracts" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"granularities": [
15
],
"status": 0,
"deliveryDateFrom": "2026-01-15T09:30:00Z",
"deliveryDateTo": "2026-01-15T09:30:00Z"
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataAtlas.SDK.Bidding.Models.XBID.XBIDContractsQueryDto
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.XBID.XBIDContractDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"contractId": 0,
"revisionNo": 0,
"product": "string",
"productRevisionNo": 0,
"name": "string",
"longName": "string",
"deliveryStart": "2026-01-15T09:30:00Z",
"deliveryStartCET": "2026-01-15T09:30:00Z",
"deliveryEnd": "2026-01-15T09:30:00Z",
"deliveryEndCET": "2026-01-15T09:30:00Z",
"predefined": true,
"state": 0,
"stateDescription": "string",
"tradingPhase": 1,
"tradingPhaseDescription": "string",
"durationMinutes": 0,
"activationPoint": "2026-01-15T09:30:00Z",
"expirationPoint": "2026-01-15T09:30:00Z",
"volumeWeightedAveragePrice": 0,
"priceHigh": 0,
"priceLow": 0,
"turnover": 0,
"bestBuyPrice": 0,
"bestBuyQuantity": 0,
"bestSellPrice": 0,
"bestSellQuantity": 0,
"lastTradePrice": 0,
"lastTradeQuantity": 0,
"lastTradeTimestamp": "2026-01-15T09:30:00Z",
"lastUpdateDT": "2026-01-15T09:30:00Z",
"messageTimestamp": "2026-01-15T09:30:00Z",
"spotMarketPrices": [
{
"marketId": 1,
"marketName": "string",
"price": 0
}
]
}
]
}